Coolify logoCoolify
POST
/projects

Create Project.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Request Body

application/json

Project created.

TypeScript Definitions

Use the request body type in TypeScript.

name?string

The name of the project.

description?string

The description of the project.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.coolify.io/api/v1/projects" \  -H "Content-Type: application/json" \  -d '{}'
{  "uuid": "og888os"}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}